From 5bb00c3748741d585d544c96933a25bd399736ed Mon Sep 17 00:00:00 2001
From: Mart Raudsepp <leio@gentoo.org>
Date: Fri, 22 Mar 2019 19:47:49 +0200
Subject: [PATCH 2/2] build: Add optionality for gedit plugin installation

---
 meson.build       | 4 +++-
 meson_options.txt | 1 +
 2 files changed, 4 insertions(+), 1 deletion(-)

diff --git a/meson.build b/meson.build
index a0def09c..2d1d3e0a 100644
--- a/meson.build
+++ b/meson.build
@@ -155,7 +155,9 @@ add_global_arguments(supported_warning_cflags, language : 'c')
 ##### end CFLAGS
 
 subdir('data')
-subdir('plugins/gedit-plugin')
+if get_option('gedit_plugin')
+  subdir('plugins/gedit-plugin')
+endif
 subdir('po')
 subdir('help')
 subdir('devhelp')
diff --git a/meson_options.txt b/meson_options.txt
index 2eaa7ff9..8fdb5a89 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -1,3 +1,4 @@
 option('flatpak_build', type : 'boolean', value : false, description : 'Flatpak build mode')
+option('gedit_plugin', type : 'boolean', value : true, description : 'Install the gedit plugin')
 option('gtk_doc', type : 'boolean', value : false, description : 'Build the API reference')
 option('introspection', type : 'boolean', value : true, description : 'Build GObject Introspection data')
-- 
2.17.0

